% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/prepareProteome.R
\name{prepareProteome}
\alias{prepareProteome}
\title{prepare proteome for background building}
\usage{
prepareProteome(UniProt.ws, fasta, species = "unknown")
}
\arguments{
\item{UniProt.ws}{an object of UniProt.ws}

\item{fasta}{fasta file name or an object of AAStringSet}

\item{species}{an character to assign the species of the proteome}
}
\value{
an object of Proteome which contain protein sequence information.
}
\description{
prepare proteome from UniProt webserver or a fasta file
}
\examples{
if(interactive()){
   library(UniProt.ws)
   availableUniprotSpecies("Drosophila melanogaster")
   UniProt.ws <- UniProt.ws(taxId=7227)
   proteome <- prepareProteome(UniProt.ws, species="Drosophila melanogaster")
 }
}
\seealso{
\code{\link{formatSequence}}, \code{\link{buildBackgroundModel}}
}
\author{
Jianhong Ou
}
\keyword{misc}
